//  main: main.less, out: ../style.css

/* ====================================================================================================================================
LAYOUT
======================================================================================================================================*/

.l-container {
  position: relative;
  max-width: 1600px;
  width: 100%;
  margin: 0 auto;
  padding: 0 @margin__xl;
  @media @media_landascape {
    padding: 0 @margin__xl;
  }
  @media @media_tablet {
    padding: 0 @margin__m;
  } 
  @media @media_smartphone {
    padding: 0 @margin__s;
  }
}

.l-container_s {
  position: relative;
  max-width: 800px;
  width: 92%;
  margin: 0 auto;

  @media @media_smartphone {
    width: 88%;
  }
}

.l-fullwidth {
  position: relative;
  width: 100%;
}

.l-half {
  width: 50%;
  @media @media_smartphone {
    width: 100%;
  }
}

.l-flex {
  .u-flex-display;
  
  @media @media_smartphone {
    .u-flex-direction(column);
  }
}

.l-margin {
  margin: @margin__xl auto;
}

.l-nomargin {
  margin: 0 auto;
}

.container-article {
  .u-flex-display;
}
